C API Functions

## udbEntityTypetext

### Description

Return the type text associated with the specified entity or NULL if there is no type for the entity.

An example of a typetext is "unsigned long int" or "char *". For a function entity, the this is the return type. Not all entities have a type, therefore not all entities have a type text. Files, for example, are not language types, and therefore a file entity will return NULL when udbEntityTypetext is queried.

### Syntax

     #include "udb/udb.h"
     char  *udbEntityTypeText(UdbEntity entity)

### Arguments

Argument | description
UdbEntity entity | Specify the entity

### Return Values

Return values | description
char * | The type text of the entity. Non-allocated.

### Example Usage

     printf ("%s is of type  %s\n",
               udbEntityNameShort(entity),
               udbEntityTypetext(entity) );

### See Also

udbEntityKind to get the kind of entity.

udbEntityNameShort to get the short name of the entity.

udbEntityNameLong to get the long name of the entity.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com